Bug 10050 - Update German web installer files for 3.12
Summary: Update German web installer files for 3.12
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-14 18:03 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10050: Update German web installer files for 3.12 - Mandatory (13.93 KB, patch)
2013-04-14 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Optional (13.16 KB, patch)
2013-04-14 21:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Mandatory (13.93 KB, patch)
2013-04-14 21:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Optional (13.16 KB, patch)
2013-04-14 21:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Language settings (1.85 KB, patch)
2013-04-14 21:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Mandatory (14.03 KB, patch)
2013-04-19 07:54 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Optional (13.23 KB, patch)
2013-04-19 07:54 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Language settings (1.92 KB, patch)
2013-04-19 07:54 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Mandatory (14.09 KB, patch)
2013-04-25 08:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Optional (13.29 KB, patch)
2013-04-25 08:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10050: Update German web installer files for 3.12 - Language settings (1.98 KB, patch)
2013-04-25 08:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-04-14 18:03:28 UTC

    
Comment 1 Katrin Fischer 2013-04-14 21:01:17 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2013-04-14 21:01:29 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-04-14 21:32:08 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-04-14 21:32:21 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-04-14 21:32:33 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2013-04-19 07:54:08 UTC Comment hidden (obsolete)
Comment 7 Chris Cormack 2013-04-19 07:54:18 UTC Comment hidden (obsolete)
Comment 8 Chris Cormack 2013-04-19 07:54:28 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2013-04-25 08:41:07 UTC
QA comment:

I didn't test to insert datas into my DB but I trust author and sign-offer of these patches.

Marked as Passed QA.
Comment 10 Jonathan Druart 2013-04-25 08:41:38 UTC
Created attachment 17671 [details] [review]
Bug 10050: Update German web installer files for 3.12 - Mandatory

This patch updates the German web installer files from the
mandatory directory.

This includes:
- CalendarFirstDayOfWeek defaults to Monday
- gist rates default to 0.07|0.19|0.00
- RoutlingListNote default text translation
- uniqueitemfields default set to barcode stocknumber
- Translation of new user flags and permissions
- Corrections to existing translations and typo corrections

To test:
- Run the web installer with German installed
- Verify all mandatory SQL files are installed correctly

Note: The German po files in master are buggy, please
use files from translate.koha-community.org for testing.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 11 Jonathan Druart 2013-04-25 08:41:44 UTC
Created attachment 17672 [details] [review]
Bug 10050: Update German web installer files for 3.12 - Optional

This patch updates the German web installer files from the
optional directory.

This includes:
- Adding the bridge/reference.gif to the REF itemtype
- Updating currency rates and setting EUR to active
- Adding branchcode MPL to the sample holidays
- Updating a few strings on the patroncard samples
- Fixing typos and rephrasing

To test:
- Run the web installer with German installed
- Verify all optional SQL files are installed correctly

Note: The German po files in master are buggy, please
use files from translate.koha-community.org for testing.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 12 Jonathan Druart 2013-04-25 08:41:47 UTC
Created attachment 17673 [details] [review]
Bug 10050: Update German web installer files for 3.12 - Language settings

Activate German and English for OPAC and intranet by default.

To test:
- Run the German web installer
- Check that when logging into Koha the German interface is shown
  and you can switch between English and German using the links
  at the bottom of the page
- Check language relevant settings in the system preferences
  are correctly set

Note: The German po files in master are buggy, please
use files from translate.koha-community.org for testing.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 13 Jared Camins-Esakov 2013-04-26 01:23:21 UTC
This patch has been pushed to master and 3.12.x.